Package org.eclipse.birt.report.model.api.elements.structures

# Class FormatValue

java.lang.Object
org.eclipse.birt.report.model.core.Structure
org.eclipse.birt.report.model.api.elements.structures.FormatValue

All Implemented Interfaces:
  `Cloneable`, `IStructure`, `org.eclipse.birt.report.model.core.IPropertySet`

Direct Known Subclasses:
  `DateFormatValue`, `DateTimeFormatValue`, `NumberFormatValue`, `ParameterFormatValue`, `StringFormatValue`, `TimeFormatValue`

public class FormatValue extends org.eclipse.birt.report.model.core.Structure
The abstract value for the format of string, data-time and number.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CATEGORY_MEMBER`
Name of the config variable category member.
`static final String`
`FORMAT_VALUE_STRUCT`
Name of the format value structure.
`static final String`
`LOCALE_MEMBER`
Name of the config variable locale member.
`static final String`
`PATTERN_MEMBER`
Name of the config variable pattern member.

## Constructor Summary

Constructors
Constructor
Description
`FormatValue()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCategory()`
Returns the variable name.
`StructureHandle`
`getHandle(SimpleValueHandle valueHandle)`
Gets the specific handle of this structure.
`protected Object`
`getIntrinsicProperty(String memberName)`
Returns the value of a structure property represented as a member variable.
`com.ibm.icu.util.ULocale`
`getLocale()`
Gets the ULocale.
`String`
`getPattern()`
Returns the variable value.
`String`
`getStructName()`
Returns the name of the structure definition.
`protected StructureHandle`
`handle(SimpleValueHandle valueHandle, int index)`
Creates the specific handle of this structure.
`void`
`setCategory(String name)`
Sets the variable name.
`protected void`
`setIntrinsicProperty(String memberName, Object value)`
Sets the value of of a structure property represented as a member variable.
`void`
`setLocale(com.ibm.icu.util.ULocale value)`
Sets the ULocale.
`void`
`setPattern(String value)`
Sets the variable value.
`String`
`toString()`

### Methods inherited from class org.eclipse.birt.report.model.core.Structure

`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference, validate`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### FORMAT_VALUE_STRUCT

public static final String FORMAT_VALUE_STRUCT
Name of the format value structure.

See Also:
  - Constant Field Values

### CATEGORY_MEMBER

public static final String CATEGORY_MEMBER
Name of the config variable category member.

See Also:
  - Constant Field Values

### PATTERN_MEMBER

public static final String PATTERN_MEMBER
Name of the config variable pattern member.

See Also:
  - Constant Field Values

### LOCALE_MEMBER

public static final String LOCALE_MEMBER
Name of the config variable locale member.

See Also:
  - Constant Field Values

## Constructor Details

### FormatValue

public FormatValue()

## Method Details

### getIntrinsicProperty

protected Object getIntrinsicProperty(String memberName)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Returns the value of a structure property represented as a member variable.

Specified by:
  `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `memberName` - name of the property
Returns:
  the value of the property, or null if the property is not set

### setIntrinsicProperty

protected void setIntrinsicProperty(String memberName, Object value)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Sets the value of of a structure property represented as a member variable.

Specified by:
  `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `memberName` - the name of the property to set
  `value` - the property value

### getCategory

public String getCategory()
Returns the variable name.

Returns:
  the variable name

### setCategory

public void setCategory(String name)
Sets the variable name.

Parameters:
  `name` - the name to set

### getPattern

public String getPattern()
Returns the variable value.

Returns:
  the variable value

### setPattern

public void setPattern(String value)
Sets the variable value.

Parameters:
  `value` - the value to set

### getLocale

public com.ibm.icu.util.ULocale getLocale()
Gets the ULocale.

Returns:
  the ULocale.

### setLocale

public void setLocale(com.ibm.icu.util.ULocale value)
Sets the ULocale.

Parameters:
  `value` - the value of the ULocale.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getStructName

public String getStructName()
Description copied from interface: `IStructure`
Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

Returns:
  the internal name of the structure a defined in the meta-data dictionary.

### handle

protected StructureHandle handle(SimpleValueHandle valueHandle, int index)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Creates the specific handle of this structure. This handle is always created.

Specified by:
  `handle` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `valueHandle` - the value handle of this structure list property this structure is in
  `index` - the position of this structure in structure list
Returns:
  the handle of this structure.

### getHandle

public StructureHandle getHandle(SimpleValueHandle valueHandle)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Gets the specific handle of this structure. This structure must be in the element's structure list. The structure handle is transient because the position in the structure list is kept. The position changes if any structure is added, or dropped. So this handle should not be kept.

Overrides:
  `getHandle` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `valueHandle` - the value handle of this structure list property this structure is in
Returns:
  the handle of this structure. If this structure is not in the `valueHandle`,`null` is returned.